For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve an order subscription

How to fetch a specific order subscription via API

To fetch a single order subscription, send a GET request to the /api/order_subscriptions/:id endpoint, where id is the ID of the resource that you want to retrieve.

Request

GET https://yourdomain.commercelayer.io/api/order_subscriptions/:id

Example

The following request fetches the order subscription identified by the ID "XAyRWNUzyN":

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a single resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "order_subscriptions",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN"
    },
    "attributes": {
      "number": "1234",
      "status": "draft",
      "frequency": "monthly",
      "activate_by_source_order": true,
      "place_target_order": true,
      "renewal_alert_period": 1,
      "customer_email": "john@example.com",
      "starts_at": "2018-01-01T12:00:00.000Z",
      "expires_at": "2018-01-02T12:00:00.000Z",
      "last_run_at": "2018-01-01T12:00:00.000Z",
      "next_run_at": "2018-01-01T12:00:00.000Z",
      "occurrencies": 2,
      "errors_count": 3,
      "succeeded_on_last_run": true,
      "options": {
        "place_target_order": false
      },
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "market": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/market",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/market"
        }
      },
      "subscription_model": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/subscription_model",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/subscription_model"
        }
      },
      "source_order": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/source_order",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/source_order"
        }
      },
      "customer": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/customer",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/customer"
        }
      },
      "customer_payment_source": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/customer_payment_source",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/customer_payment_source"
        }
      },
      "order_subscription_items": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/order_subscription_items",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/order_subscription_items"
        }
      },
      "order_factories": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/order_factories",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/order_factories"
        }
      },
      "order_copies": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/order_copies",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/order_copies"
        }
      },
      "recurring_order_copies": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/recurring_order_copies",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/recurring_order_copies"
        }
      },
      "orders": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/orders",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/orders"
        }
      },
      "resource_errors": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/resource_errors",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/resource_errors"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/events"
        }
      },
      "tags": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/tags",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/tags"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}

Last updated